"APS Catalog error: Package with UID not found"

Refers to:

  • Plesk 12.5 for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux
  • Plesk 12.5 for Windows

Created:

2016-11-16 12:56:01 UTC

Modified:

2016-12-21 19:34:12 UTC

0

Was this article helpful?


Have more questions?

Submit a request

"APS Catalog error: Package with UID not found"

Symptoms

The following error is shown in Plesk when

  • accessing Applications tab or WordPress

or

  • trying to remove the subscription
    Package with UID '3bee6a4a-84fc-4d6a-9d82-783d9c079a78' not found

Cause

The issue is caused by a database inconsistency.

Resolution

  1. Backup the Plesk databases according to KB213904125

  2. Remove the orphan record from the database:

    # mysql> delete from smb_apsPackages where registryUid='3bee6a4a-84fc-4d6a-9d82-783d9c079a7'
  3. Then you may see another dependency error such as:

    Dependent row(s) 'smb_apsPackages.id = 13' isn't found for 'smb_apsContexts.packageId = 13'.

    remove this orphan record:

    # mysql> delete from smb_apsContexts where packageId=13;
  4. If another dependency error is shown:

    Dependent row(s) 'smb_apsContexts.id = 56' isn't found for 'smb_apsMetas.contextId = 56'.

    remove it also from the database:

    # mysql> delete from smb_apsMetas where contextId=56;
  5. If one more error appears:

    Dependent row(s) 'smb_apsMetas.id = 67' isn't found for 'smb_apsInstances.metaId = 67'.

    remove the row(s) from the database:

    # mysql> delete from smb_apsInstances where metaId = 67;
Have more questions? Submit a request
Please sign in to leave a comment.